Creating Versions erroring out in Oracle Spatial based ArcSDE

376
11
11-21-2013 02:17 PM
SriramVenkatasubramaniam
New Contributor
Hello ArcGurus,
    We are piloting with an Oracle Spatial based ArcSDE Geodatabase. In addition to the default version, i was able to create only 1 version on top of default version . When i create more versions, i get an error "The version name already exists" .

But i have made sure after looking at SDE.versions that  i did not use  already existing version names. What could be the problem here. Is this a bug on ArcSDE ?

Thanks
Sriram
0 Kudos
11 Replies
VinceAngelo
Esri Esteemed Contributor
How are you specifying a new version?  If you're getting a "version name already exists"
error, it's much more likely that the version exists than that it's a bug.

- V
0 Kudos
EmadAl-Mousa
Occasional Contributor III
you can check the "version name" by 3 different ways:

1. form the oracle table SDE.VERSIONS (as you have mentioned)

2. using ArcSDE Command Line: sdeversion -o describe -u sde -p XXXX -i 5151 -s server_name

3. from ArcCatalog (version 10.1) from Geodatabase Administration -> under 'Versions' tab.
0 Kudos
SriramVenkatasubramaniam
New Contributor
Please see attached above screen shots.

[ATTACH=CONFIG]29376[/ATTACH][ATTACH=CONFIG]29377[/ATTACH]
0 Kudos
SriramVenkatasubramaniam
New Contributor
How are you specifying a new version?  If you're getting a "version name already exists"
error, it's much more likely that the version exists than that it's a bug.

- V


Please see attached screen shots.
0 Kudos
VinceAngelo
Esri Esteemed Contributor
Please provide text in your responses, not screenshots (or at least not only screenshots).
Text error messages are the only way others will find your answer.

When googling the error text, "ERROR 001148: Cannot create a version with the specified
name" the Help documentation indicates that the version exists, and would need to be
deleted before being recreated.

So now now it seems like you need to check the VERSIONS table, as mousaem  
recommended.

- V
0 Kudos
SriramVenkatasubramaniam
New Contributor
[ATTACH=CONFIG]29414[/ATTACH]

I have attached the versions that exists in the VERSIONS table. AS you can see , there is only 1 version in addition to DEFAULT. But when i try to add a new version ( with a name not in the VERSIONS table) , still the below error pops up.

Error 001148 : Cannot create a version with the specified name.

I have more inconsistency which i realized. I have ArcMAP 10.1 , but our ArcSDE version is still 10.0.
Does this cause these kind of issues ?

We are planning to migrate to ArcMAP 10.2 and also plan to upgrade ArcSDE 10.2 for Oracle 11g. I am hoping this would resolve any issues there. Do you agree ?

Thanks
Sriram
0 Kudos
EmadAl-Mousa
Occasional Contributor III
the version release is not the issue here. The error you are receving is strange since from your snap shot provided you only have SDE + only 1 version.

I think you need to contact ESRI Tech Support.
0 Kudos
NidhinKarthikeyan
Regular Contributor II

We are planning to migrate to ArcMAP 10.2 and also plan to upgrade ArcSDE 10.2 for Oracle 11g. I am hoping this would resolve any issues there. Do you agree ?


Upgrading ArcGIS for Desktop and ArcSDE won�??t be a fix (Unless until there is a NIM specific to this behavior and suggested workaround for it).  For further suggestions and troubleshooting, someone should take a look at the machine. You can log a support incident.
0 Kudos
WilliamCraft
MVP Regular Contributor
It is possible to delete your test version and re-create it; then try to create a third version again as you've described?  Just out of curiosity, how are you connecting to the geodatabase (ArcSDE application service of direct connect)? 

On a second look at your screenshots, I see that your existing version in the SDE.VERSIONS table is showing a VERSION_ID of -1.  I'm not sure how that can happen or why, but it doesn't seem right.
0 Kudos